return {
	{
		"echasnovski/mini.nvim",
		version = "*",
		lazy = false,
		keys = {
			{
				"<leader>=",
				function()
					require("mini.bufremove").delete()
				end,
				desc = "Delete buffer",
			},
			{
				"<leader>[",
				":bprev<CR>",
				desc = "Goto previous buffer",
			},
			{
				"<leader>]",
				":bnext<CR>",
				desc = "Goto next buffer",
			},
			{
				"<leader>;",
				":tabprevious<CR>",
				desc = "Goto previous tab",
			},
			{
				"<leader>'",
				":tabnext<CR>",
				desc = "Goto next tab",
			},
		},
		config = function()
			require("mini.ai").setup()
			require("mini.icons").setup()

			require("mini.sessions").setup({
				autoread = true,
			})

			require("mini.starter").setup({})
			require("mini.tabline").setup({})
			require("mini.statusline").setup({})
			require("mini.notify").setup({})
			require("mini.git").setup()
			require("mini.bufremove").setup()
		end,
	},
}
