return {
	{
		"nvim-telescope/telescope-fzf-native.nvim",
		build = "cmake -S. -Bbuild -DCMAKE_BUILD_TYPE=Release && cmake --build build --config Release",
	},
	{ "tiagovla/scope.nvim", config = true },
	{
		"nvim-telescope/telescope.nvim",
		tag = "0.1.8",
		dependencies = { "nvim-lua/plenary.nvim" },
		keys = {
			{
				"<leader>dd",
				function()
					require("telescope.builtin").diagnostics()
				end,
				desc = "[D]iagnostics",
			},
			{
				"gd",
				function()
					require("telescope.builtin").lsp_definitions()
				end,
				desc = "LSP def",
			},
			{
				"gr",
				function()
					require("telescope.builtin").lsp_references()
				end,
				desc = "[L]SP, Find [R]eferences",
			},
			{
				"<leader>ws",
				function()
					require("telescope.builtin").lsp_workspace_symbols()
				end,
				desc = "LSP, [W]orkspace [S]ymbols",
			},
			{
				"gi",
				function()
					require("telescope.builtin").lsp_implementations()
				end,
				desc = "[L]sp, [I]mplementations",
			},
			{
				"gt",
				function()
					require("telescope.builtin").lsp_type_definitions()
				end,
				desc = "[L]SP, Type Definitions",
			},
			{
				"<leader>ff",
				function()
					local builtin = require("telescope.builtin")
					builtin.find_files()
				end,
				desc = "Telescope: Find files",
			},
			{
				"<leader>q",
				":Telescope scope buffers<CR>",
				desc = "Telescope: find buffers",
			},
			{
				"<leader>fg",
				function()
					local builtin = require("telescope.builtin")
					builtin.live_grep()
				end,
			},
		},

		config = function()
			local telescope = require("telescope")
			telescope.setup({
				pickers = {},
				defaults = {
					layout_config = {
						horizontal = {
							preview_cutoff = 0,
						},
					},

					mappings = {
						i = { ["<c-d>"] = require("telescope.actions").delete_buffer },
						n = { ["<c-d>"] = require("telescope.actions").delete_buffer },
					},
				},
			})

			require("telescope").load_extension("fzf")
			require("telescope").load_extension("scope")
		end,
	},
}
